## evilvte 0.4.5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,20 @@
 
 OBJ=src/sakura.o
 
-CFLAGS=$(OPTFLAGS) $(VTEINC) -DICON_DIR=\"$(ICON_DIR)\" -DEVILVTE_VERSION=\"$(EVILVTE_VERSION)\"
+CFLAGS = -Wall $(OPTFLAGS) $(VTEINC) -DICON_DIR=\"$(ICON_DIR)\" -DEVILVTE_VERSION=\"$(EVILVTE_VERSION)\"
+# CFLAGS += -Wextra -DG_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGDK_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_DEPRECATED -DGTK_DISABLE_SINGLE_INCLUDES
+
+ifneq (,$(findstring min,$(EVILVTE)))
+	CFLAGS += -DEVILVTE_MINIMUM=1
+endif
+
+ifneq (,$(findstring max,$(EVILVTE)))
+	CFLAGS += -DEVILVTE_MAXIMUM=1
+endif
+
+ifneq (,$(findstring test,$(EVILVTE)))
+	CFLAGS += -DEVILVTE_TESTING=1
+endif
 
 ifeq ($(SUSE_DETECTED),TRUE)
 CFLAGS += -DSUSE_DETECTED=1
@@ -53,9 +66,12 @@
 	install -m 644 misc/evilvte.desktop $(deskdir)
 
 clean: src/config.o
-	rm -f $(PROG) src/showvte src/*.o src/evilvte.h misc/evilvte.1
+	rm -f $(PROG) src/showvte src/sakura.o src/???????.h misc/evilvte.1 src/max.h src/test.h
+
+distclean: clean
+	rm -f src/*.o
 
 src/config.o:
 	./configure
 
-.PHONY: all evilvte strip showvte install installstrip clean
+.PHONY: all evilvte strip showvte install installstrip clean distclean
