=== debian/changelog ===
evilvte (0.4.6-1) unstable; urgency=low

  * New upstream release
    - avoid a severe VTE bug in version 0.24.0, please see #576624
  * Switch to 3.0 (quilt) source format
    - remove README.source
  * debian/rules, debian/config.h, debian/evilvte.xpm, debian/install:
    - remove quilt related targets
    - configure against debian/config.h (new upstream feature)
    - honor DEB_BUILD_OPTIONS here
    - install debian/evilvte.xpm for menu system
  * debian/control:
    - drop Build-Depends: quilt
    - bump Standards-Version to 3.8.4
  * Drop all patches (no longer needed)
  * Update debian/copyright to DEP 5, revsion 135

 -- Wen-Yen Chuang <caleb@calno.com>  Tue,  6 Apr 2010 13:21:59 +0800

evilvte (0.4.5-1) unstable; urgency=low

  * New upstream release (Closes: #556088)
    - fix FTBFS with binutils-gold (Closes: #554333)
  * Enable all command line options:
    -r option, run in root window
    -f option, init in fullscreen mode
    -ls option, to enable login shell
    -h option, show help
    -[2-9] options, to set tab numbers

 -- Wen-Yen Chuang <caleb@calno.com>  Sat, 14 Nov 2009  5:34:11 +0800

evilvte (0.4.4.2-1) unstable; urgency=low

  * New upstream bugfix release
    - fix an CLOSE_DIALOG bug which could destroy the program by accident
  * Update debian/rules to use "$(MAKE) distclean" instead of "$(MAKE) clean"
  * Add debian/README.source
  * Improve descriptions in debian/control
  * Bump Standards-Version to 3.8.3, no changes needed.

 -- Wen-Yen Chuang <caleb@calno.com>  Thu,  3 Sep 2009 10:15:05 +0800

evilvte (0.4.4.1-1) unstable; urgency=low

  * New upstream release
    - fix an Gtk-CRITICAL runtime warning message (partial fix: #483308)
  * Set VTE_ERASE_ASCII_DELETE as the backspace key binding (Closes: #518513)
  * Set Ctrl+Shift+c to copy, and Ctrl+Shift+v to paste (Closes: #523105)
  * Disable statusbar (#523105)
  * Provide x-terminal-emulator according to Debian Policy 11.8.3
    - enable "-T / -title" command-line option
    - add Provides: x-terminal-emulator to debian/control
    - set the alternative priority to 20 in debian/postinst
  * Update debian/copyright
  * Bump Standards-Version to 3.8.1
    - replace obsolete "dh_clean -k" with "dh_prep"
  * Make lintian quiet
    - remove maintainer-script-empty debian/postrm
    - add a comment to debian/patches/support-DEB_BUILD_OPTIONS.diff

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 14 Apr 2009 13:28:19 +0800

evilvte (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Migrate from dpatch to quilt
  * Build with "-g -O2" flag and honor DEB_BUILD_OPTIONS
  * Make debian/rules parallel-clean
  * Remove unused configure parameters
  * Support build-arch and build-indep
  * Add Build-Depends: pkg-config

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 27 May 2008 16:59:34 +0800

evilvte (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #469953)

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 22 Apr 2008 15:56:39 +0800
