=== debian/control ===
Source: evilvte
Section: x11
Priority: optional
Maintainer: Wen-Yen Chuang <caleb@calno.com>
Homepage: http://www.calno.com/evilvte/
Build-Depends: debhelper (>= 7), libvte-dev, pkg-config
Standards-Version: 3.8.4

Package: evilvte
Architecture: any
Provides: x-terminal-emulator
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight terminal emulator based on VTE
 evilvte is a terminal emulator based on Virtual Terminal Emulator(VTE) library.
 It supports almost everything VTE provides.
 It also supports tabs, tabbar autohide, and switch encoding at runtime.
 Configuration is via editing source code and recompilation.
 .
 This build provides all runtime changeable options in the right-click menu.
