## evilvte 0.4.8

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,14 @@
 
 ifeq ($(CFLAGS),)
 	CFLAGS = -Os
+endif
+
+ifeq ($(LDFLAGS),)
+	LDFLAGS = -Wl,--as-needed
+endif
+
+ifeq ($(LDLIBS),)
+	LDLIBS = -L/usr/local/lib $(LIBS_VTE_L) -lglib-2.0 -lgobject-2.0 $(LIBS_VTE)
 endif
 
 CFLAGS += $(OPTFLAGS) $(VTEINC)
@@ -33,7 +41,7 @@
 	install -d $(GNOME_DEF_APP)
 	install -m 644 misc/evilvte.xml $(GNOME_DEF_APP)
 
-installstrip: strip
+install-strip: strip
 	sh src/install.sh
 
 uninstall:
@@ -48,4 +56,4 @@
 src/config.o:
 	./configure --quiet
 
-.PHONY: evilvte prepare strip install installstrip uninstall clean distclean
+.PHONY: evilvte prepare strip install install-strip uninstall clean distclean
