=== debian/changelog ===
evilvte (0.4.8-1) unstable; urgency=low

  * New upstream release
    GTK+ 3.0.0 compatible
  * Enable new command line options:
    -d option, run as a dock
    -fn option, to assign font and size
    -g option, to assign geometry
  * Update debian/copyright
  * Bump Standards-Version to 3.9.1

 -- Wen-Yen Chuang <caleb@calno.com>  Sun, 20 Feb 2011 22:13:15 +0800
