=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Wen-Yen Chuang <caleb@calno.com>
 Homepage: http://www.calno.com/evilvte/
 Build-Depends: debhelper (>= 7), libvte-dev, pkg-config
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: evilvte
 Architecture: any
