## evilvte 0.4.9

=== debian/changelog ===
evilvte (0.4.9-1) unstable; urgency=low

  * New upstream release
  * Use dh
  * Update Build-Depends
    - use "libvte-dev | libvte-2.90-dev" so users can build it for GTK+ 3.x
    - use debhelper (>= 7.0.50~) for dh
  * Update evilvte.xpm for upstream's new icon theme
  * Update debian/copyright
  * Bump Standards-Version to 3.9.2

 -- Wen-Yen Chuang <caleb@calno.com>  Mon, 22 Aug 2011 22:40:06 +0800
