=== debian/changelog ===
evilvte (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Change default compression method to xz
    - remove old compression-level because "-9" is not always optimal for xz.
  * Update debian/copyright
    - follow latest DEP-5 format
    - fix one invalid DEP-5 statement
    Thanks to Sven Hoexter <sven AT timegate DOT de>
  * Update debian/watch to look up for xz-compressed tarballs

 -- Wen-Yen Chuang <caleb@calno.com>  Sat, 22 Oct 2011 18:04:02 +0800
