## evilvte 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include src/config.o
+include src/config.mk
 
 ifeq ($(LDFLAGS),)
 	LDFLAGS = -Wl,--as-needed
@@ -18,8 +18,10 @@
 prepare:
 	rm -f src/custom.h src/evilvte.h src/evilvte.o
 
-src/custom.h: prepare
-	cp $(CONF_FILE) src/custom.h
+src/custom.h: prepare $(CONF_FILE)
+	(echo '/* This file is generated - please edit $(CONF_FILE) instead */'; \
+	grep -v '^ *//' $(CONF_FILE) \
+	| sed 's/ CTRL_ALT / CTRL_ALT_FOO /g') > src/custom.h
 
 src/evilvte.h: src/custom.h
 	sh src/process.sh src/$(PROG)
@@ -69,13 +71,13 @@
 uninstall:
 	sh src/uninstall.sh
 
-clean: src/config.o
+clean: src/config.mk
 	rm -f src/$(PROG) src/showvte src/evilvte.o src/evilvte.h misc/evilvte.? src/custom.h
 
 distclean: clean
-	rm -f src/*.o src/install.sh src/uninstall.sh
+	rm -f src/*.o src/*.mk src/install.sh src/uninstall.sh
 
-src/config.o:
+src/config.mk:
 	./configure --quiet
 
 .PHONY: evilvte prepare strip install install-strip uninstall clean distclean
