=== debian/changelog ===
evilvte (0.5.1-1) unstable; urgency=low

  * New upstream release
    - update to new style of hotkey configuration
  * Update debian/copyright
    - follow DEP-5 copyright-format 1.0
    - update copyright year to 2012
    - add icon modifier info to satisfy lintian
  * Bump debian/compat to 9 for hardened build flags
    - bump minimal debhelper version to 9.20120115
  * Bump Standards-Version to 3.9.3

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 27 Mar 2012 21:14:31 +0800
