=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Wen-Yen Chuang <caleb@calno.com>
 Homepage: http://www.calno.com/evilvte/
-Build-Depends: debhelper (>= 7.0.50~), libvte-dev | libvte-2.90-dev, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9.20120115), libvte-dev | libvte-2.90-dev, pkg-config
+Standards-Version: 3.9.3
 
 Package: evilvte
 Architecture: any
