=== debian/watch ===
version=3
http://www.calno.com/evilvte/ ./evilvte-(.*)\.tar\.xz
